- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TListControlValidator

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TLabel
                   |
                   --TBaseValidator
                      |
                      --TListControlValidator

TListControlValidator class.

TListControlValidator checks the number of selection and their values for a TListControl that allows multiple selection.

You can specify the minimum or maximum (or both) number of selections required using the MinSelection and MaxSelection properties, respectively. In addition, you can specify a comma separated list of required selected values via the RequiredSelections property.

Examples

- At least two selections

          <com:TListBox ID="listbox" SelectionMode="Multiple">
              <com:TListItem Text="item1" Value="value1" />
              <com:TListItem Text="item2" Value="value2" />
              <com:TListItem Text="item3" Value="value3" />
          </com:TListBox>

          <com:TListControlValidator
              ControlToValidate="listbox"
              MinSelection="2"
              ErrorMessage="Please select at least 2" />

- "value1" must be selected and at least 1 other

          <com:TCheckBoxList ID="checkboxes">
              <com:TListItem Text="item1" Value="value1" />
              <com:TListItem Text="item2" Value="value2" />
              <com:TListItem Text="item3" Value="value3" />
          </com:TCheckBoxList>

          <com:TListControlValidator
              ControlToValidate="checkboxes"
              RequiredSelections="value1"
              MinSelection="2"
              ErrorMessage="Please select 'item1' and at least 1 other" />

Since: 3.0
Author: Xiang Wei Zhuo <weizhuo[at]gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected boolean | evaluateIsValid () This method overrides the parent's implementation.
protected string | getClientClassName () Gets the name of the javascript class responsible for performing validation for this control.
protected array | getClientScriptOptions () Returns an array of javascript validator options.
integer | getMaxSelection ()
integer | getMinSelection ()
string | getRequiredSelections () Get a comma separated list of required selected values.
protected array | getRequiredValues ()
protected array | getSelection ( TListControl $control)
void | setMaxSelection ( integer $value)
void | setMinSelection ( integer $value)
void | setRequiredSelections ( string $value) Set the list of required values, using aa comma separated list.

Methods Inherited From TBaseValidator

TBaseValidator::addAttributesToRender(), TBaseValidator::createClientSide(), TBaseValidator::getClientScriptOptions(), TBaseValidator::getClientSide(), TBaseValidator::getControlCssClass(), TBaseValidator::getControlToValidate(), TBaseValidator::getDisplay(), TBaseValidator::getEnableClientScript(), TBaseValidator::getErrorMessage(), TBaseValidator::getFocusElementID(), TBaseValidator::getFocusOnError(), TBaseValidator::getIsValid(), TBaseValidator::getValidationGroup(), TBaseValidator::getValidationTarget(), TBaseValidator::getValidationValue(), TBaseValidator::onInit(), TBaseValidator::onPreRender(), TBaseValidator::onUnload(), TBaseValidator::onValidate(), TBaseValidator::onValidationError(), TBaseValidator::onValidationSuccess(), TBaseValidator::registerClientScriptValidator(), TBaseValidator::renderClientControlScript(), TBaseValidator::renderContents(), TBaseValidator::setControlCssClass(), TBaseValidator::setControlToValidate(), TBaseValidator::setDisplay(), TBaseValidator::setEnableClientScript(), TBaseValidator::setEnabled(), TBaseValidator::setErrorMessage(), TBaseValidator::setFocusElementID(), TBaseValidator::setFocusOnError(), TBaseValidator::setForControl(), TBaseValidator::setIsValid(), TBaseValidator::setValidationGroup(), TBaseValidator::updateControlCssClass(), TBaseValidator::validate()

Methods Inherited From TLabel
TLabel::addAttributesToRender(), TLabel::getData(), TLabel::getForControl(), TLabel::getTagName(), TLabel::getText(), TLabel::render(), TLabel::renderContents(), TLabel::setData(), TLabel::setForControl(), TLabel::setText()

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## evaluateIsValid

protected boolean evaluateIsValid | ()

This method overrides the parent's implementation.

The validation succeeds if the input component changes its data from the InitialValue or the input component is not given.

Output
boolean | whether the validation succeeds
Exception

## getClientClassName

protected string getClientClassName | ()

Gets the name of the javascript class responsible for performing validation for this control.

This method overrides the parent implementation.

Output
string | the javascript class name
Exception

## getClientScriptOptions

protected array getClientScriptOptions | ()

Returns an array of javascript validator options.

Output
array | javascript validator options.
Exception

## getMaxSelection

public integer getMaxSelection | ()

Output
integer | max number of selections. Defaults to -1, meaning not set.
Exception

## getMinSelection

public integer getMinSelection | ()

Output
integer | min number of selections. Defaults to -1, meaning not set.
Exception

## getRequiredSelections

public string getRequiredSelections | ()

Get a comma separated list of required selected values.

Output
string | comma separated list of required values.
Exception

## getRequiredValues

protected array getRequiredValues | ()

Output
array | list of required values.
Exception

## getSelection

protected array getSelection | (TListControl $control )

Input
TListControl | $control | control to validate
Output
array | number of selected values and its values.
Exception

## setMaxSelection

public void setMaxSelection | (integer $value )

Input
integer | $value | max number of selections.
Output
Exception

## setMinSelection

public void setMinSelection | (integer $value )

Input
integer | $value | minimum number of selections.
Output
Exception

## setRequiredSelections

public void setRequiredSelections | (string $value )

Set the list of required values, using aa comma separated list.

Input
string | $value | comma separated list of required values.
Output
Exception